from tiramisu.option import UnicodeOption, OptionDescription
from tiramisu_web import MasterSlaves


def get_description():
    """generate description for this test
    """
    option1 = UnicodeOption('unicode1', "Unicode master", multi=True)
    option2 = UnicodeOption('unicode2', "Values 'test' must show 'Unicode slave 2'", multi=True)
    option3 = UnicodeOption('unicode3', "Unicode slave 2", multi=True,
                            requires=[{'option': option2,
                                       'expected': u'test',
                                       'action': 'hidden',
                                       'inverse': True}])
    descr1 = MasterSlaves("unicode1", "Common configuration",
                          [option1, option2, option3])
    descr = OptionDescription("options", "Common configuration", [descr1])
    descr = OptionDescription("unicode1_master_slaves_requires_slaves", "Master slave requires slave with a slave", [descr])
    return descr
